# Uses of Class
org.apache.sysds.hops.IndexingOp

Packages that use IndexingOp
Package
Description
org.apache.sysds.hops.rewrite

## Uses of IndexingOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite that return IndexingOp
Modifier and Type
Method
Description
`static IndexingOp`
HopRewriteUtils.`createIndexingOp(Hop input, long rix, long cix)`
`static IndexingOp`
HopRewriteUtils.`createIndexingOp(Hop input, long rl, long ru, long cl, long cu)`
`static IndexingOp`
HopRewriteUtils.`createIndexingOp(Hop input, Hop batchsize)`
`static IndexingOp`
HopRewriteUtils.`createIndexingOp(Hop input, Hop rl, Hop ru, Hop cl, Hop cu)`
Methods in org.apache.sysds.hops.rewrite with parameters of type IndexingOp
Modifier and Type
Method
Description
`static boolean`
HopRewriteUtils.`isColumnRangeIndexing(IndexingOp hop)`
`static boolean`
HopRewriteUtils.`isFullColumnIndexing(IndexingOp hop)`
`static boolean`
HopRewriteUtils.`isFullRowIndexing(IndexingOp hop)`